Skip to main content
GET
/
v1
/
notes
/
{noteId}
Get a note
curl --request GET \
  --url https://api.folk.app/v1/notes/{noteId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "nte_91118b73-5a75-480b-b8e3-a33671c35cdc",
    "entity": {
      "id": "per_55175e81-9a52-4ac3-930e-82792c23499b",
      "entityType": "person",
      "fullName": "John Doe"
    },
    "visibility": "public",
    "content": "This is a note about John Doe",
    "author": {
      "type": "user",
      "id": "usr_14c18444-a0c7-459a-86b0-ccd70ebcd65c",
      "fullName": "John Doe",
      "email": "john.doe@example.com",
      "deleted": false
    },
    "createdAt": "2021-01-01T00:00:00.000Z",
    "parentNote": {
      "id": "nte_14c18444-a0c7-459a-86b0-ccd70ebcd65c",
      "entity": {
        "id": "per_55175e81-9a52-4ac3-930e-82792c23499b",
        "entityType": "person",
        "fullName": "John Doe"
      },
      "content": "This is a parent note about John Doe",
      "visibility": "public",
      "author": {
        "type": "user",
        "id": "usr_14c18444-a0c7-459a-86b0-ccd70ebcd65c",
        "fullName": "John Doe",
        "email": "john.doe@example.com",
        "deleted": false
      },
      "createdAt": "2021-01-01T00:00:00.000Z",
      "deleted": false
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.folk.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication

Path Parameters

noteId
string
required

The ID of the note to retrieve.

Required string length: 40

Response

The retrieved note in the workspace.

data
object
required

A note linked to an entity.

Example:
{
"id": "nte_91118b73-5a75-480b-b8e3-a33671c35cdc",
"entity": {
"id": "per_55175e81-9a52-4ac3-930e-82792c23499b",
"entityType": "person",
"fullName": "John Doe"
},
"visibility": "public",
"content": "This is a note about John Doe",
"author": {
"type": "user",
"id": "usr_14c18444-a0c7-459a-86b0-ccd70ebcd65c",
"fullName": "John Doe",
"email": "john.doe@example.com",
"deleted": false
},
"createdAt": "2021-01-01T00:00:00.000Z",
"parentNote": {
"id": "nte_14c18444-a0c7-459a-86b0-ccd70ebcd65c",
"entity": {
"id": "per_55175e81-9a52-4ac3-930e-82792c23499b",
"entityType": "person",
"fullName": "John Doe"
},
"content": "This is a parent note about John Doe",
"visibility": "public",
"author": {
"type": "user",
"id": "usr_14c18444-a0c7-459a-86b0-ccd70ebcd65c",
"fullName": "John Doe",
"email": "john.doe@example.com",
"deleted": false
},
"createdAt": "2021-01-01T00:00:00.000Z",
"deleted": false
}
}
deprecations
string[]
Example:
["This field is deprecated"]